Bug 1030455 - README.html files aligned into too narrow block
README.html files aligned into too narrow block
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Quickstarts (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR2
: EAP 6.2.0
Assigned To: sgilda
Jitka Kozana
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 08:40 EST by Jitka Kozana
Modified: 2013-12-15 11:21 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:21:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jitka Kozana 2013-11-14 08:40:07 EST
EAP 6.2.0.CR1.

All README.html files are aligned to block. But in CR1 this block is too narrow, narrower than in ER7, which makes the reading harder.
Comment 1 sgilda 2013-11-14 09:58:55 EST
The stylesheets were missing from the previous builds. I restored the stylesheets that were used in the first few releases of EAP 6 quickstarts.

Can you please verify that they look like they did in previous releases?
Comment 2 Jitka Kozana 2013-11-15 01:33:50 EST
I have compared the README.html from CR1 with the README.html from 6.2.0.ER1 and the style is indeed the same. 

Still, I find the block too narrow. A block this narrow was a requirement?
Comment 3 Nikoleta Ziakova 2013-11-15 02:29:35 EST
It is really uncomfortable and hard to read these narrow blocks, especially the higlighted boxes with scrollbars where one does not see the whole text he should e.g. copy&paste.

For example see README.html in logging QS and following text in it:
/subsystem=logging/periodic-rotating-file-handler=FILE_QS_TRACE:add(suffix=".yyyy.MM.dd", file={"path"=>"quickstart.trace.log", "relative-to"=>"jboss.server.log.dir"})
/subsystem=logging/periodic-rotating-file-handler=FILE_QS_DEBUG:add(suffix=".yyyy.MM.dd", file={"path"=>"quickstart.debug.log", "relative-to"=>"jboss.server.log.dir"})
/subsystem=logging/periodic-rotating-file-handler=FILE_QS_INFO:add(suffix=".yyyy.MM.dd", file={"path"=>"quickstart.info.log", "relative-to"=>"jboss.server.log.dir"})
/subsystem=logging/periodic-rotating-file-handler=FILE_QS_WARN:add(suffix=".yyyy.MM.dd", file={"path"=>"quickstart.warn.log", "relative-to"=>"jboss.server.log.dir"})
/subsystem=logging/periodic-rotating-file-handler=FILE_QS_ERROR:add(suffix=".yyyy.MM.dd", file={"path"=>"quickstart.error.log", "relative-to"=>"jboss.server.log.dir"})
/subsystem=logging/periodic-rotating-file-handler=FILE_QS_FATAL:add(suffix=".yyyy.MM.dd", file={"path"=>"quickstart.fatal.log", "relative-to"=>"jboss.server.log.dir"})

/subsystem=logging/async-handler=TRACE_QS_ASYNC:add(level=TRACE,queue-length=1024,overflow-action=BLOCK,subhandlers=["FILE_QS_TRACE"]) 
/subsystem=logging/async-handler=DEBUG_QS_ASYNC:add(level=DEBUG,queue-length=1024,overflow-action=BLOCK,subhandlers=["FILE_QS_DEBUG"]) 
/subsystem=logging/async-handler=INFO_QS_ASYNC:add(level=INFO,queue-length=1024,overflow-action=BLOCK,subhandlers=["FILE_QS_INFO"]) 
/subsystem=logging/async-handler=WARN_QS_ASYNC:add(level=WARN,queue-length=1024,overflow-action=BLOCK,subhandlers=["FILE_QS_WARN"]) 
/subsystem=logging/async-handler=ERROR_QS_ASYNC:add(level=ERROR,queue-length=1024,overflow-action=BLOCK,subhandlers=["FILE_QS_ERROR"]) 
/subsystem=logging/async-handler=FATAL_QS_ASYNC:add(level=FATAL,queue-length=1024,overflow-action=BLOCK,subhandlers=["FILE_QS_FATAL"]) 

/subsystem=logging/logger=org.jboss.as.quickstarts.logging:add(level=TRACE,handlers=[TRACE_QS_ASYNC,DEBUG_QS_ASYNC,INFO_QS_ASYNC,WARN_QS_ASYNC,ERROR_QS_ASYNC,FATAL_QS_ASYNC])
Comment 4 sgilda 2013-11-19 11:23:40 EST
Adjusted the width from 560px to 80% and max-width of 960px.

Issued this pull: https://github.com/jboss-jdf/jdf-site/pull/32
Comment 5 sgilda 2013-11-19 12:48:55 EST
Vineet made some improvements to the table layout. 

Fixes to stylesheet is in this commit:
https://github.com/jboss-jdf/jdf-site/commit/6ae0f92587781419b698faa2cad0a5f7ac2e5173

Changes won't appear until the jdf-site is published.
Comment 6 sgilda 2013-11-20 10:17:55 EST
Modified documentation.css file was published to the JDF site, so the README.html files should render better now. Moving to ON_QA.
Comment 7 Nikoleta Ziakova 2013-11-21 09:44:51 EST
Much better! Verified for EAP 6.2.0 CR3.

Note You need to log in before you can comment on or make changes to this bug.